Page MenuHomePhabricator

Drop comments and attachments marked as private in Bugzilla
Closed, ResolvedPublic

Description

Bugzilla offers marking comments as private so only admins can see them. This has happened in the past in case of spam or insulting comments, or in case of private data being exposed.

We should drop them as there's no such functionality in Phabricator.

Details

Reference
fl494

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:43 AM
flimport set Reference to fl494.

Rush wrote on 2014-08-18 18:16:46 (UTC)

covered by T423

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:43 AM
flimport added a subscriber: chasemp.
Aklapper renamed this task from Drop comments marked as private in Bugzilla to Drop comments and attachments marked as private in Bugzilla.Oct 28 2014, 6:14 PM
Aklapper set Security to None.

Explicitly tested again with https://bugzilla.wikimedia.org/show_bug.cgi?id=72497 / https://bugzillapreview.wmflabs.org/T7240 and works as expected (comments and attachments are shown as ''_hidden_'' resp. dropped).

should we make this something like

content masked during migration as secure

idk

"(Private comment and/or attachment in Bugzilla removed during migration to Phabricator)"?
But maybe I get too vocal...